
/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

#ifndef _CSLR__UHPI_001_H_
#define _CSLR__UHPI_001_H_

#include <cslr.h>

#include <tistdtypes.h>


// Note: The latest uhpi module was modified to have an additional IODFT block included.
//       While these modules were integrated as a single IP module, they maintain 2 seperate MMR ports.
//       Hence there are 2 stuctures defines in this file.


/**************************************************************************\
* UDFT Register Overlay Structure (for iodft block)
\**************************************************************************/
typedef struct  {
    volatile Uint32 IODFT_CONTROL;
    volatile Uint32 HINT_STATUS;
    volatile Uint32 HAS_TIMING;
    volatile Uint32 HSTROBE_TIMING;
    volatile Uint32 HCS_TIMING;
    volatile Uint32 HOST_ADDRESS;
    volatile Uint32 RESV_18;
    volatile Uint32 RESV_1C;
    volatile Uint32 IODFT_HPIC;
    volatile Uint32 IODFT_HPIDi;
    volatile Uint32 IODFT_HPIA;
    volatile Uint32 IODFT_HPIDn;
    volatile Uint32 RESV_30;
    volatile Uint32 RESV_34;
    volatile Uint32 RESV_38;
    volatile Uint32 RESV_3C;
} CSL_UdftRegs;


/**************************************************************************\
* UHPI Register Overlay Structure (module block)
\**************************************************************************/
typedef struct  {
    volatile Uint32 PID;
    volatile Uint32 PWREMU_MGMT;
    volatile Uint32 GPINT_CTRL;
    volatile Uint32 GPIO_EN;
    volatile Uint32 GPIO_DIR1;
    volatile Uint32 GPIO_DAT1;
    volatile Uint32 GPIO_DIR2;
    volatile Uint32 GPIO_DAT2;
    volatile Uint32 GPIO_DIR3;
    volatile Uint32 GPIO_DAT3;
    volatile Uint32 RESV_28;
    volatile Uint32 RESV_2C;
    volatile Uint32 HPIC;
    volatile Uint32 HPIAW;
    volatile Uint32 HPIAR;
    volatile Uint32 XHPIAW;
    volatile Uint32 XHPIAR;
    volatile Uint32 RESV_44;
    volatile Uint32 RESV_48;
    volatile Uint32 RESV_4C;
} CSL_UhpiRegs;


/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* PID */


#define CSL_UHPI_PID_TYPE_MASK (0x00FF0000u)
#define CSL_UHPI_PID_TYPE_SHIFT (0x00000010u)
#define CSL_UHPI_PID_TYPE_RESETVAL (0x00000001u)

#define CSL_UHPI_PID_CLASS_MASK (0x0000FF00u)
#define CSL_UHPI_PID_CLASS_SHIFT (0x00000008u)
#define CSL_UHPI_PID_CLASS_RESETVAL (0x00000002u)

#define CSL_UHPI_PID_REV_MASK (0x000000FFu)
#define CSL_UHPI_PID_REV_SHIFT (0x00000000u)
#define CSL_UHPI_PID_REV_RESETVAL (0x00000000u)

#define CSL_UHPI_PID_RESETVAL (0x00010200u)

/* PWREMUMGMT */


#define CSL_UHPI_PWREMUMGMT_SOFT_MASK (0x00000002u)
#define CSL_UHPI_PWREMUMGMT_SOFT_SHIFT (0x00000001u)
#define CSL_UHPI_PWREMUMGMT_SOFT_RESETVAL (0x00000000u)

#define CSL_UHPI_PWREMUMGMT_FREE_MASK (0x00000001u)
#define CSL_UHPI_PWREMUMGMT_FREE_SHIFT (0x00000000u)
#define CSL_UHPI_PWREMUMGMT_FREE_RESETVAL (0x00000000u)

#define CSL_UHPI_PWREMUMGMT_RESETVAL (0x00000000u)

/* GPINTCTRL */


#define CSL_UHPI_GPINTCTRL_GPINTINV2_MASK (0x00040000u)
#define CSL_UHPI_GPINTCTRL_GPINTINV2_SHIFT (0x00000012u)
#define CSL_UHPI_GPINTCTRL_GPINTINV2_RESETVAL (0x00000000u)
/*----GPINTINV2 Tokens----*/
#define CSL_UHPI_GPINTCTRL_GPINTINV2_DISABLE (0x00000000u)
#define CSL_UHPI_GPINTCTRL_GPINTINV2_ENABLE (0x00000001u)

#define CSL_UHPI_GPINTCTRL_GPINTINV1_MASK (0x00020000u)
#define CSL_UHPI_GPINTCTRL_GPINTINV1_SHIFT (0x00000011u)
#define CSL_UHPI_GPINTCTRL_GPINTINV1_RESETVAL (0x00000000u)
/*----GPINTINV1 Tokens----*/
#define CSL_UHPI_GPINTCTRL_GPINTINV1_DISABLE (0x00000000u)
#define CSL_UHPI_GPINTCTRL_GPINTINV1_ENABLE (0x00000001u)

#define CSL_UHPI_GPINTCTRL_GPINTINV0_MASK (0x00010000u)
#define CSL_UHPI_GPINTCTRL_GPINTINV0_SHIFT (0x00000010u)
#define CSL_UHPI_GPINTCTRL_GPINTINV0_RESETVAL (0x00000000u)
/*----GPINTINV0 Tokens----*/
#define CSL_UHPI_GPINTCTRL_GPINTINV0_DISABLE (0x00000000u)
#define CSL_UHPI_GPINTCTRL_GPINTINV0_ENABLE (0x00000001u)


#define CSL_UHPI_GPINTCTRL_GPINTEN2_MASK (0x00000004u)
#define CSL_UHPI_GPINTCTRL_GPINTEN2_SHIFT (0x00000002u)
#define CSL_UHPI_GPINTCTRL_GPINTEN2_RESETVAL (0x00000000u)
/*----GPINTEN2 Tokens----*/
#define CSL_UHPI_GPINTCTRL_GPINTEN2_DISABLE (0x00000000u)
#define CSL_UHPI_GPINTCTRL_GPINTEN2_ENABLE (0x00000001u)

#define CSL_UHPI_GPINTCTRL_GPINTEN1_MASK (0x00000002u)
#define CSL_UHPI_GPINTCTRL_GPINTEN1_SHIFT (0x00000001u)
#define CSL_UHPI_GPINTCTRL_GPINTEN1_RESETVAL (0x00000000u)
/*----GPINTEN1 Tokens----*/
#define CSL_UHPI_GPINTCTRL_GPINTEN1_DISABLE (0x00000000u)
#define CSL_UHPI_GPINTCTRL_GPINTEN1_ENABLE (0x00000001u)

#define CSL_UHPI_GPINTCTRL_GPINTEN0_MASK (0x00000001u)
#define CSL_UHPI_GPINTCTRL_GPINTEN0_SHIFT (0x00000000u)
#define CSL_UHPI_GPINTCTRL_GPINTEN0_RESETVAL (0x00000000u)
/*----GPINTEN0 Tokens----*/
#define CSL_UHPI_GPINTCTRL_GPINTEN0_DISABLE (0x00000000u)
#define CSL_UHPI_GPINTCTRL_GPINTEN0_ENABLE (0x00000001u)

#define CSL_UHPI_GPINTCTRL_RESETVAL (0x00000000u)

/* GPIOEN */


#define CSL_UHPI_GPIOEN_GPIOEN16_MASK (0x00010000u)
#define CSL_UHPI_GPIOEN_GPIOEN16_SHIFT (0x00000010u)
#define CSL_UHPI_GPIOEN_GPIOEN16_RESETVAL (0x00000000u)
/*----GPIOEN16 Tokens----*/
#define CSL_UHPI_GPIOEN_GPIOEN16_DISABLE (0x00000000u)
#define CSL_UHPI_GPIOEN_GPIOEN16_ENABLE (0x00000001u)

#define CSL_UHPI_GPIOEN_GPIOEN15_MASK (0x00008000u)
#define CSL_UHPI_GPIOEN_GPIOEN15_SHIFT (0x0000000Fu)
#define CSL_UHPI_GPIOEN_GPIOEN15_RESETVAL (0x00000000u)
/*----GPIOEN15 Tokens----*/
#define CSL_UHPI_GPIOEN_GPIOEN15_DISABLE (0x00000000u)
#define CSL_UHPI_GPIOEN_GPIOEN15_ENABLE (0x00000001u)

#define CSL_UHPI_GPIOEN_GPIOEN14_MASK (0x00004000u)
#define CSL_UHPI_GPIOEN_GPIOEN14_SHIFT (0x0000000Eu)
#define CSL_UHPI_GPIOEN_GPIOEN14_RESETVAL (0x00000000u)
/*----GPIOEN14 Tokens----*/
#define CSL_UHPI_GPIOEN_GPIOEN14_DISABLE (0x00000000u)
#define CSL_UHPI_GPIOEN_GPIOEN14_ENABLE (0x00000001u)

#define CSL_UHPI_GPIOEN_GPIOEN13_MASK (0x00002000u)
#define CSL_UHPI_GPIOEN_GPIOEN13_SHIFT (0x0000000Du)
#define CSL_UHPI_GPIOEN_GPIOEN13_RESETVAL (0x00000000u)
/*----GPIOEN13 Tokens----*/
#define CSL_UHPI_GPIOEN_GPIOEN13_DISABLE (0x00000000u)
#define CSL_UHPI_GPIOEN_GPIOEN13_ENABLE (0x00000001u)

#define CSL_UHPI_GPIOEN_GPIOEN12_MASK (0x00001000u)
#define CSL_UHPI_GPIOEN_GPIOEN12_SHIFT (0x0000000Cu)
#define CSL_UHPI_GPIOEN_GPIOEN12_RESETVAL (0x00000000u)
/*----GPIOEN12 Tokens----*/
#define CSL_UHPI_GPIOEN_GPIOEN12_DISABLE (0x00000000u)
#define CSL_UHPI_GPIOEN_GPIOEN12_ENABLE (0x00000001u)

#define CSL_UHPI_GPIOEN_GPIOEN11_MASK (0x00000800u)
#define CSL_UHPI_GPIOEN_GPIOEN11_SHIFT (0x0000000Bu)
#define CSL_UHPI_GPIOEN_GPIOEN11_RESETVAL (0x00000000u)
/*----GPIOEN11 Tokens----*/
#define CSL_UHPI_GPIOEN_GPIOEN11_DISABLE (0x00000000u)
#define CSL_UHPI_GPIOEN_GPIOEN11_ENABLE (0x00000001u)

#define CSL_UHPI_GPIOEN_GPIOEN10_MASK (0x00000400u)
#define CSL_UHPI_GPIOEN_GPIOEN10_SHIFT (0x0000000Au)
#define CSL_UHPI_GPIOEN_GPIOEN10_RESETVAL (0x00000000u)
/*----GPIOEN10 Tokens----*/
#define CSL_UHPI_GPIOEN_GPIOEN10_DISABLE (0x00000000u)
#define CSL_UHPI_GPIOEN_GPIOEN10_ENABLE (0x00000001u)

#define CSL_UHPI_GPIOEN_GPIOEN9_MASK (0x00000200u)
#define CSL_UHPI_GPIOEN_GPIOEN9_SHIFT (0x00000009u)
#define CSL_UHPI_GPIOEN_GPIOEN9_RESETVAL (0x00000000u)
/*----GPIOEN9 Tokens----*/
#define CSL_UHPI_GPIOEN_GPIOEN9_DISABLE (0x00000000u)
#define CSL_UHPI_GPIOEN_GPIOEN9_ENABLE (0x00000001u)

#define CSL_UHPI_GPIOEN_GPIOEN8_MASK (0x00000100u)
#define CSL_UHPI_GPIOEN_GPIOEN8_SHIFT (0x00000008u)
#define CSL_UHPI_GPIOEN_GPIOEN8_RESETVAL (0x00000000u)
/*----GPIOEN8 Tokens----*/
#define CSL_UHPI_GPIOEN_GPIOEN8_DISABLE (0x00000000u)
#define CSL_UHPI_GPIOEN_GPIOEN8_ENABLE (0x00000001u)

#define CSL_UHPI_GPIOEN_GPIOEN7_MASK (0x00000080u)
#define CSL_UHPI_GPIOEN_GPIOEN7_SHIFT (0x00000007u)
#define CSL_UHPI_GPIOEN_GPIOEN7_RESETVAL (0x00000000u)
/*----GPIOEN7 Tokens----*/
#define CSL_UHPI_GPIOEN_GPIOEN7_DISABLE (0x00000000u)
#define CSL_UHPI_GPIOEN_GPIOEN7_ENABLE (0x00000001u)

#define CSL_UHPI_GPIOEN_GPIOEN6_MASK (0x00000040u)
#define CSL_UHPI_GPIOEN_GPIOEN6_SHIFT (0x00000006u)
#define CSL_UHPI_GPIOEN_GPIOEN6_RESETVAL (0x00000000u)
/*----GPIOEN6 Tokens----*/
#define CSL_UHPI_GPIOEN_GPIOEN6_DISABLE (0x00000000u)
#define CSL_UHPI_GPIOEN_GPIOEN6_ENABLE (0x00000001u)

#define CSL_UHPI_GPIOEN_GPIOEN5_MASK (0x00000020u)
#define CSL_UHPI_GPIOEN_GPIOEN5_SHIFT (0x00000005u)
#define CSL_UHPI_GPIOEN_GPIOEN5_RESETVAL (0x00000000u)
/*----GPIOEN5 Tokens----*/
#define CSL_UHPI_GPIOEN_GPIOEN5_DISABLE (0x00000000u)
#define CSL_UHPI_GPIOEN_GPIOEN5_ENABLE (0x00000001u)

#define CSL_UHPI_GPIOEN_GPIOEN4_MASK (0x00000010u)
#define CSL_UHPI_GPIOEN_GPIOEN4_SHIFT (0x00000004u)
#define CSL_UHPI_GPIOEN_GPIOEN4_RESETVAL (0x00000000u)
/*----GPIOEN4 Tokens----*/
#define CSL_UHPI_GPIOEN_GPIOEN4_DISABLE (0x00000000u)
#define CSL_UHPI_GPIOEN_GPIOEN4_ENABLE (0x00000001u)

#define CSL_UHPI_GPIOEN_GPIOEN3_MASK (0x00000008u)
#define CSL_UHPI_GPIOEN_GPIOEN3_SHIFT (0x00000003u)
#define CSL_UHPI_GPIOEN_GPIOEN3_RESETVAL (0x00000000u)
/*----GPIOEN3 Tokens----*/
#define CSL_UHPI_GPIOEN_GPIOEN3_DISABLE (0x00000000u)
#define CSL_UHPI_GPIOEN_GPIOEN3_ENABLE (0x00000001u)

#define CSL_UHPI_GPIOEN_GPIOEN2_MASK (0x00000004u)
#define CSL_UHPI_GPIOEN_GPIOEN2_SHIFT (0x00000002u)
#define CSL_UHPI_GPIOEN_GPIOEN2_RESETVAL (0x00000000u)
/*----GPIOEN2 Tokens----*/
#define CSL_UHPI_GPIOEN_GPIOEN2_DISABLE (0x00000000u)
#define CSL_UHPI_GPIOEN_GPIOEN2_ENABLE (0x00000001u)

#define CSL_UHPI_GPIOEN_GPIOEN1_MASK (0x00000002u)
#define CSL_UHPI_GPIOEN_GPIOEN1_SHIFT (0x00000001u)
#define CSL_UHPI_GPIOEN_GPIOEN1_RESETVAL (0x00000000u)
/*----GPIOEN1 Tokens----*/
#define CSL_UHPI_GPIOEN_GPIOEN1_DISABLE (0x00000000u)
#define CSL_UHPI_GPIOEN_GPIOEN1_ENABLE (0x00000001u)

#define CSL_UHPI_GPIOEN_GPIOEN0_MASK (0x00000001u)
#define CSL_UHPI_GPIOEN_GPIOEN0_SHIFT (0x00000000u)
#define CSL_UHPI_GPIOEN_GPIOEN0_RESETVAL (0x00000000u)
/*----GPIOEN0 Tokens----*/
#define CSL_UHPI_GPIOEN_GPIOEN0_DISABLE (0x00000000u)
#define CSL_UHPI_GPIOEN_GPIOEN0_ENABLE (0x00000001u)

#define CSL_UHPI_GPIOEN_RESETVAL (0x00000000u)

/* GPIODIR1 */

#define CSL_UHPI_GPIODIR1_HD31_MASK (0x80000000u)
#define CSL_UHPI_GPIODIR1_HD31_SHIFT (0x0000001Fu)
#define CSL_UHPI_GPIODIR1_HD31_RESETVAL (0x00000000u)
/*----HD31 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD31_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD31_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD30_MASK (0x40000000u)
#define CSL_UHPI_GPIODIR1_HD30_SHIFT (0x0000001Eu)
#define CSL_UHPI_GPIODIR1_HD30_RESETVAL (0x00000000u)
/*----HD30 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD30_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD30_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD29_MASK (0x20000000u)
#define CSL_UHPI_GPIODIR1_HD29_SHIFT (0x0000001Du)
#define CSL_UHPI_GPIODIR1_HD29_RESETVAL (0x00000000u)
/*----HD29 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD29_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD29_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD28_MASK (0x10000000u)
#define CSL_UHPI_GPIODIR1_HD28_SHIFT (0x0000001Cu)
#define CSL_UHPI_GPIODIR1_HD28_RESETVAL (0x00000000u)
/*----HD28 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD28_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD28_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD27_MASK (0x08000000u)
#define CSL_UHPI_GPIODIR1_HD27_SHIFT (0x0000001Bu)
#define CSL_UHPI_GPIODIR1_HD27_RESETVAL (0x00000000u)
/*----HD27 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD27_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD27_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD26_MASK (0x04000000u)
#define CSL_UHPI_GPIODIR1_HD26_SHIFT (0x0000001Au)
#define CSL_UHPI_GPIODIR1_HD26_RESETVAL (0x00000000u)
/*----HD26 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD26_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD26_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD25_MASK (0x02000000u)
#define CSL_UHPI_GPIODIR1_HD25_SHIFT (0x00000019u)
#define CSL_UHPI_GPIODIR1_HD25_RESETVAL (0x00000000u)
/*----HD25 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD25_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD25_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD24_MASK (0x01000000u)
#define CSL_UHPI_GPIODIR1_HD24_SHIFT (0x00000018u)
#define CSL_UHPI_GPIODIR1_HD24_RESETVAL (0x00000000u)
/*----HD24 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD24_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD24_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD23_MASK (0x00800000u)
#define CSL_UHPI_GPIODIR1_HD23_SHIFT (0x00000017u)
#define CSL_UHPI_GPIODIR1_HD23_RESETVAL (0x00000000u)
/*----HD23 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD23_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD23_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD22_MASK (0x00400000u)
#define CSL_UHPI_GPIODIR1_HD22_SHIFT (0x00000016u)
#define CSL_UHPI_GPIODIR1_HD22_RESETVAL (0x00000000u)
/*----HD22 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD22_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD22_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD21_MASK (0x00200000u)
#define CSL_UHPI_GPIODIR1_HD21_SHIFT (0x00000015u)
#define CSL_UHPI_GPIODIR1_HD21_RESETVAL (0x00000000u)
/*----HD21 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD21_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD21_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD20_MASK (0x00100000u)
#define CSL_UHPI_GPIODIR1_HD20_SHIFT (0x00000014u)
#define CSL_UHPI_GPIODIR1_HD20_RESETVAL (0x00000000u)
/*----HD20 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD20_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD20_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD19_MASK (0x00080000u)
#define CSL_UHPI_GPIODIR1_HD19_SHIFT (0x00000013u)
#define CSL_UHPI_GPIODIR1_HD19_RESETVAL (0x00000000u)
/*----HD19 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD19_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD19_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD18_MASK (0x00040000u)
#define CSL_UHPI_GPIODIR1_HD18_SHIFT (0x00000012u)
#define CSL_UHPI_GPIODIR1_HD18_RESETVAL (0x00000000u)
/*----HD18 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD18_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD18_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD17_MASK (0x00020000u)
#define CSL_UHPI_GPIODIR1_HD17_SHIFT (0x00000011u)
#define CSL_UHPI_GPIODIR1_HD17_RESETVAL (0x00000000u)
/*----HD17 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD17_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD17_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD16_MASK (0x00010000u)
#define CSL_UHPI_GPIODIR1_HD16_SHIFT (0x00000010u)
#define CSL_UHPI_GPIODIR1_HD16_RESETVAL (0x00000000u)
/*----HD16 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD16_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD16_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD15_MASK (0x00008000u)
#define CSL_UHPI_GPIODIR1_HD15_SHIFT (0x0000000Fu)
#define CSL_UHPI_GPIODIR1_HD15_RESETVAL (0x00000000u)
/*----HD15 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD15_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD15_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD14_MASK (0x00004000u)
#define CSL_UHPI_GPIODIR1_HD14_SHIFT (0x0000000Eu)
#define CSL_UHPI_GPIODIR1_HD14_RESETVAL (0x00000000u)
/*----HD14 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD14_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD14_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD13_MASK (0x00002000u)
#define CSL_UHPI_GPIODIR1_HD13_SHIFT (0x0000000Du)
#define CSL_UHPI_GPIODIR1_HD13_RESETVAL (0x00000000u)
/*----HD13 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD13_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD13_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD12_MASK (0x00001000u)
#define CSL_UHPI_GPIODIR1_HD12_SHIFT (0x0000000Cu)
#define CSL_UHPI_GPIODIR1_HD12_RESETVAL (0x00000000u)
/*----HD12 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD12_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD12_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD11_MASK (0x00000800u)
#define CSL_UHPI_GPIODIR1_HD11_SHIFT (0x0000000Bu)
#define CSL_UHPI_GPIODIR1_HD11_RESETVAL (0x00000000u)
/*----HD11 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD11_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD11_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD10_MASK (0x00000400u)
#define CSL_UHPI_GPIODIR1_HD10_SHIFT (0x0000000Au)
#define CSL_UHPI_GPIODIR1_HD10_RESETVAL (0x00000000u)
/*----HD10 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD10_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD10_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD9_MASK (0x00000200u)
#define CSL_UHPI_GPIODIR1_HD9_SHIFT (0x00000009u)
#define CSL_UHPI_GPIODIR1_HD9_RESETVAL (0x00000000u)
/*----HD9 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD9_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD9_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD8_MASK (0x00000100u)
#define CSL_UHPI_GPIODIR1_HD8_SHIFT (0x00000008u)
#define CSL_UHPI_GPIODIR1_HD8_RESETVAL (0x00000000u)
/*----HD8 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD8_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD8_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD7_MASK (0x00000080u)
#define CSL_UHPI_GPIODIR1_HD7_SHIFT (0x00000007u)
#define CSL_UHPI_GPIODIR1_HD7_RESETVAL (0x00000000u)
/*----HD7 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD7_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD7_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD6_MASK (0x00000040u)
#define CSL_UHPI_GPIODIR1_HD6_SHIFT (0x00000006u)
#define CSL_UHPI_GPIODIR1_HD6_RESETVAL (0x00000000u)
/*----HD6 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD6_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD6_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD5_MASK (0x00000020u)
#define CSL_UHPI_GPIODIR1_HD5_SHIFT (0x00000005u)
#define CSL_UHPI_GPIODIR1_HD5_RESETVAL (0x00000000u)
/*----HD5 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD5_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD5_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD4_MASK (0x00000010u)
#define CSL_UHPI_GPIODIR1_HD4_SHIFT (0x00000004u)
#define CSL_UHPI_GPIODIR1_HD4_RESETVAL (0x00000000u)
/*----HD4 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD4_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD4_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD3_MASK (0x00000008u)
#define CSL_UHPI_GPIODIR1_HD3_SHIFT (0x00000003u)
#define CSL_UHPI_GPIODIR1_HD3_RESETVAL (0x00000000u)
/*----HD3 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD3_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD3_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD2_MASK (0x00000004u)
#define CSL_UHPI_GPIODIR1_HD2_SHIFT (0x00000002u)
#define CSL_UHPI_GPIODIR1_HD2_RESETVAL (0x00000000u)
/*----HD2 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD2_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD2_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD1_MASK (0x00000002u)
#define CSL_UHPI_GPIODIR1_HD1_SHIFT (0x00000001u)
#define CSL_UHPI_GPIODIR1_HD1_RESETVAL (0x00000000u)
/*----HD1 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD1_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD1_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_HD0_MASK (0x00000001u)
#define CSL_UHPI_GPIODIR1_HD0_SHIFT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD0_RESETVAL (0x00000000u)
/*----HD0 Tokens----*/
#define CSL_UHPI_GPIODIR1_HD0_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR1_HD0_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR1_RESETVAL (0x00000000u)

/* GPIODAT1 */

#define CSL_UHPI_GPIODAT1_HD31_MASK (0x80000000u)
#define CSL_UHPI_GPIODAT1_HD31_SHIFT (0x0000001Fu)
#define CSL_UHPI_GPIODAT1_HD31_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD30_MASK (0x40000000u)
#define CSL_UHPI_GPIODAT1_HD30_SHIFT (0x0000001Eu)
#define CSL_UHPI_GPIODAT1_HD30_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD29_MASK (0x20000000u)
#define CSL_UHPI_GPIODAT1_HD29_SHIFT (0x0000001Du)
#define CSL_UHPI_GPIODAT1_HD29_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD28_MASK (0x10000000u)
#define CSL_UHPI_GPIODAT1_HD28_SHIFT (0x0000001Cu)
#define CSL_UHPI_GPIODAT1_HD28_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD27_MASK (0x08000000u)
#define CSL_UHPI_GPIODAT1_HD27_SHIFT (0x0000001Bu)
#define CSL_UHPI_GPIODAT1_HD27_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD26_MASK (0x04000000u)
#define CSL_UHPI_GPIODAT1_HD26_SHIFT (0x0000001Au)
#define CSL_UHPI_GPIODAT1_HD26_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD25_MASK (0x02000000u)
#define CSL_UHPI_GPIODAT1_HD25_SHIFT (0x00000019u)
#define CSL_UHPI_GPIODAT1_HD25_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD24_MASK (0x01000000u)
#define CSL_UHPI_GPIODAT1_HD24_SHIFT (0x00000018u)
#define CSL_UHPI_GPIODAT1_HD24_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD23_MASK (0x00800000u)
#define CSL_UHPI_GPIODAT1_HD23_SHIFT (0x00000017u)
#define CSL_UHPI_GPIODAT1_HD23_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD22_MASK (0x00400000u)
#define CSL_UHPI_GPIODAT1_HD22_SHIFT (0x00000016u)
#define CSL_UHPI_GPIODAT1_HD22_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD21_MASK (0x00200000u)
#define CSL_UHPI_GPIODAT1_HD21_SHIFT (0x00000015u)
#define CSL_UHPI_GPIODAT1_HD21_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD20_MASK (0x00100000u)
#define CSL_UHPI_GPIODAT1_HD20_SHIFT (0x00000014u)
#define CSL_UHPI_GPIODAT1_HD20_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD19_MASK (0x00080000u)
#define CSL_UHPI_GPIODAT1_HD19_SHIFT (0x00000013u)
#define CSL_UHPI_GPIODAT1_HD19_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD18_MASK (0x00040000u)
#define CSL_UHPI_GPIODAT1_HD18_SHIFT (0x00000012u)
#define CSL_UHPI_GPIODAT1_HD18_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD17_MASK (0x00020000u)
#define CSL_UHPI_GPIODAT1_HD17_SHIFT (0x00000011u)
#define CSL_UHPI_GPIODAT1_HD17_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD16_MASK (0x00010000u)
#define CSL_UHPI_GPIODAT1_HD16_SHIFT (0x00000010u)
#define CSL_UHPI_GPIODAT1_HD16_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD15_MASK (0x00008000u)
#define CSL_UHPI_GPIODAT1_HD15_SHIFT (0x0000000Fu)
#define CSL_UHPI_GPIODAT1_HD15_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD14_MASK (0x00004000u)
#define CSL_UHPI_GPIODAT1_HD14_SHIFT (0x0000000Eu)
#define CSL_UHPI_GPIODAT1_HD14_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD13_MASK (0x00002000u)
#define CSL_UHPI_GPIODAT1_HD13_SHIFT (0x0000000Du)
#define CSL_UHPI_GPIODAT1_HD13_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD12_MASK (0x00001000u)
#define CSL_UHPI_GPIODAT1_HD12_SHIFT (0x0000000Cu)
#define CSL_UHPI_GPIODAT1_HD12_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD11_MASK (0x00000800u)
#define CSL_UHPI_GPIODAT1_HD11_SHIFT (0x0000000Bu)
#define CSL_UHPI_GPIODAT1_HD11_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD10_MASK (0x00000400u)
#define CSL_UHPI_GPIODAT1_HD10_SHIFT (0x0000000Au)
#define CSL_UHPI_GPIODAT1_HD10_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD9_MASK (0x00000200u)
#define CSL_UHPI_GPIODAT1_HD9_SHIFT (0x00000009u)
#define CSL_UHPI_GPIODAT1_HD9_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD8_MASK (0x00000100u)
#define CSL_UHPI_GPIODAT1_HD8_SHIFT (0x00000008u)
#define CSL_UHPI_GPIODAT1_HD8_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD7_MASK (0x00000080u)
#define CSL_UHPI_GPIODAT1_HD7_SHIFT (0x00000007u)
#define CSL_UHPI_GPIODAT1_HD7_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD6_MASK (0x00000040u)
#define CSL_UHPI_GPIODAT1_HD6_SHIFT (0x00000006u)
#define CSL_UHPI_GPIODAT1_HD6_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD5_MASK (0x00000020u)
#define CSL_UHPI_GPIODAT1_HD5_SHIFT (0x00000005u)
#define CSL_UHPI_GPIODAT1_HD5_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD4_MASK (0x00000010u)
#define CSL_UHPI_GPIODAT1_HD4_SHIFT (0x00000004u)
#define CSL_UHPI_GPIODAT1_HD4_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD3_MASK (0x00000008u)
#define CSL_UHPI_GPIODAT1_HD3_SHIFT (0x00000003u)
#define CSL_UHPI_GPIODAT1_HD3_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD2_MASK (0x00000004u)
#define CSL_UHPI_GPIODAT1_HD2_SHIFT (0x00000002u)
#define CSL_UHPI_GPIODAT1_HD2_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD1_MASK (0x00000002u)
#define CSL_UHPI_GPIODAT1_HD1_SHIFT (0x00000001u)
#define CSL_UHPI_GPIODAT1_HD1_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_HD0_MASK (0x00000001u)
#define CSL_UHPI_GPIODAT1_HD0_SHIFT (0x00000000u)
#define CSL_UHPI_GPIODAT1_HD0_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT1_RESETVAL (0x00000000u)

/* GPIODIR2 */


#define CSL_UHPI_GPIODIR2_HBE3Z_MASK (0x00004000u)
#define CSL_UHPI_GPIODIR2_HBE3Z_SHIFT (0x0000000Eu)
#define CSL_UHPI_GPIODIR2_HBE3Z_RESETVAL (0x00000000u)
/*----HBE3Z Tokens----*/
#define CSL_UHPI_GPIODIR2_HBE3Z_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR2_HBE3Z_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR2_HBE2Z_MASK (0x00002000u)
#define CSL_UHPI_GPIODIR2_HBE2Z_SHIFT (0x0000000Du)
#define CSL_UHPI_GPIODIR2_HBE2Z_RESETVAL (0x00000000u)
/*----HBE2Z Tokens----*/
#define CSL_UHPI_GPIODIR2_HBE2Z_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR2_HBE2Z_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR2_HBE1Z_MASK (0x00001000u)
#define CSL_UHPI_GPIODIR2_HBE1Z_SHIFT (0x0000000Cu)
#define CSL_UHPI_GPIODIR2_HBE1Z_RESETVAL (0x00000000u)
/*----HBE1Z Tokens----*/
#define CSL_UHPI_GPIODIR2_HBE1Z_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR2_HBE1Z_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR2_HBE0Z_MASK (0x00000800u)
#define CSL_UHPI_GPIODIR2_HBE0Z_SHIFT (0x0000000Bu)
#define CSL_UHPI_GPIODIR2_HBE0Z_RESETVAL (0x00000000u)
/*----HBE0Z Tokens----*/
#define CSL_UHPI_GPIODIR2_HBE0Z_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR2_HBE0Z_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR2_HRDYZ_MASK (0x00000400u)
#define CSL_UHPI_GPIODIR2_HRDYZ_SHIFT (0x0000000Au)
#define CSL_UHPI_GPIODIR2_HRDYZ_RESETVAL (0x00000000u)
/*----HRDYZ Tokens----*/
#define CSL_UHPI_GPIODIR2_HRDYZ_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR2_HRDYZ_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR2_HRDY_MASK (0x00000200u)
#define CSL_UHPI_GPIODIR2_HRDY_SHIFT (0x00000009u)
#define CSL_UHPI_GPIODIR2_HRDY_RESETVAL (0x00000000u)
/*----HRDY Tokens----*/
#define CSL_UHPI_GPIODIR2_HRDY_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR2_HRDY_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR2_HINTZ_MASK (0x00000100u)
#define CSL_UHPI_GPIODIR2_HINTZ_SHIFT (0x00000008u)
#define CSL_UHPI_GPIODIR2_HINTZ_RESETVAL (0x00000000u)
/*----HINTZ Tokens----*/
#define CSL_UHPI_GPIODIR2_HINTZ_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR2_HINTZ_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR2_HCNTLA_MASK (0x00000080u)
#define CSL_UHPI_GPIODIR2_HCNTLA_SHIFT (0x00000007u)
#define CSL_UHPI_GPIODIR2_HCNTLA_RESETVAL (0x00000000u)
/*----HCNTLA Tokens----*/
#define CSL_UHPI_GPIODIR2_HCNTLA_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR2_HCNTLA_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR2_HCNTLB_MASK (0x00000040u)
#define CSL_UHPI_GPIODIR2_HCNTLB_SHIFT (0x00000006u)
#define CSL_UHPI_GPIODIR2_HCNTLB_RESETVAL (0x00000000u)
/*----HCNTLB Tokens----*/
#define CSL_UHPI_GPIODIR2_HCNTLB_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR2_HCNTLB_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR2_HHWIL_MASK (0x00000020u)
#define CSL_UHPI_GPIODIR2_HHWIL_SHIFT (0x00000005u)
#define CSL_UHPI_GPIODIR2_HHWIL_RESETVAL (0x00000000u)
/*----HHWIL Tokens----*/
#define CSL_UHPI_GPIODIR2_HHWIL_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR2_HHWIL_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR2_HRW_MASK (0x00000010u)
#define CSL_UHPI_GPIODIR2_HRW_SHIFT (0x00000004u)
#define CSL_UHPI_GPIODIR2_HRW_RESETVAL (0x00000000u)
/*----HRW Tokens----*/
#define CSL_UHPI_GPIODIR2_HRW_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR2_HRW_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR2_HDS2Z_MASK (0x00000008u)
#define CSL_UHPI_GPIODIR2_HDS2Z_SHIFT (0x00000003u)
#define CSL_UHPI_GPIODIR2_HDS2Z_RESETVAL (0x00000000u)
/*----HDS2Z Tokens----*/
#define CSL_UHPI_GPIODIR2_HDS2Z_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR2_HDS2Z_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR2_HDS1Z_MASK (0x00000004u)
#define CSL_UHPI_GPIODIR2_HDS1Z_SHIFT (0x00000002u)
#define CSL_UHPI_GPIODIR2_HDS1Z_RESETVAL (0x00000000u)
/*----HDS1Z Tokens----*/
#define CSL_UHPI_GPIODIR2_HDS1Z_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR2_HDS1Z_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR2_HCSZ_MASK (0x00000002u)
#define CSL_UHPI_GPIODIR2_HCSZ_SHIFT (0x00000001u)
#define CSL_UHPI_GPIODIR2_HCSZ_RESETVAL (0x00000000u)
/*----HCSZ Tokens----*/
#define CSL_UHPI_GPIODIR2_HCSZ_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR2_HCSZ_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR2_HASZ_MASK (0x00000001u)
#define CSL_UHPI_GPIODIR2_HASZ_SHIFT (0x00000000u)
#define CSL_UHPI_GPIODIR2_HASZ_RESETVAL (0x00000000u)
/*----HASZ Tokens----*/
#define CSL_UHPI_GPIODIR2_HASZ_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR2_HASZ_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR2_RESETVAL (0x00000000u)

/* GPIODAT2 */


#define CSL_UHPI_GPIODAT2_HBE3Z_MASK (0x00004000u)
#define CSL_UHPI_GPIODAT2_HBE3Z_SHIFT (0x0000000Eu)
#define CSL_UHPI_GPIODAT2_HBE3Z_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT2_HBE2Z_MASK (0x00002000u)
#define CSL_UHPI_GPIODAT2_HBE2Z_SHIFT (0x0000000Du)
#define CSL_UHPI_GPIODAT2_HBE2Z_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT2_HBE1Z_MASK (0x00001000u)
#define CSL_UHPI_GPIODAT2_HBE1Z_SHIFT (0x0000000Cu)
#define CSL_UHPI_GPIODAT2_HBE1Z_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT2_HBE0Z_MASK (0x00000800u)
#define CSL_UHPI_GPIODAT2_HBE0Z_SHIFT (0x0000000Bu)
#define CSL_UHPI_GPIODAT2_HBE0Z_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT2_HRDYZ_MASK (0x00000400u)
#define CSL_UHPI_GPIODAT2_HRDYZ_SHIFT (0x0000000Au)
#define CSL_UHPI_GPIODAT2_HRDYZ_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT2_HRDY_MASK (0x00000200u)
#define CSL_UHPI_GPIODAT2_HRDY_SHIFT (0x00000009u)
#define CSL_UHPI_GPIODAT2_HRDY_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT2_HINTZ_MASK (0x00000100u)
#define CSL_UHPI_GPIODAT2_HINTZ_SHIFT (0x00000008u)
#define CSL_UHPI_GPIODAT2_HINTZ_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT2_HCNTLA_MASK (0x00000080u)
#define CSL_UHPI_GPIODAT2_HCNTLA_SHIFT (0x00000007u)
#define CSL_UHPI_GPIODAT2_HCNTLA_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT2_HCNTLB_MASK (0x00000040u)
#define CSL_UHPI_GPIODAT2_HCNTLB_SHIFT (0x00000006u)
#define CSL_UHPI_GPIODAT2_HCNTLB_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT2_HHWIL_MASK (0x00000020u)
#define CSL_UHPI_GPIODAT2_HHWIL_SHIFT (0x00000005u)
#define CSL_UHPI_GPIODAT2_HHWIL_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT2_HRW_MASK (0x00000010u)
#define CSL_UHPI_GPIODAT2_HRW_SHIFT (0x00000004u)
#define CSL_UHPI_GPIODAT2_HRW_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT2_HDS2Z_MASK (0x00000008u)
#define CSL_UHPI_GPIODAT2_HDS2Z_SHIFT (0x00000003u)
#define CSL_UHPI_GPIODAT2_HDS2Z_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT2_HDS1Z_MASK (0x00000004u)
#define CSL_UHPI_GPIODAT2_HDS1Z_SHIFT (0x00000002u)
#define CSL_UHPI_GPIODAT2_HDS1Z_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT2_HCSZ_MASK (0x00000002u)
#define CSL_UHPI_GPIODAT2_HCSZ_SHIFT (0x00000001u)
#define CSL_UHPI_GPIODAT2_HCSZ_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT2_HASZ_MASK (0x00000001u)
#define CSL_UHPI_GPIODAT2_HASZ_SHIFT (0x00000000u)
#define CSL_UHPI_GPIODAT2_HASZ_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT2_RESETVAL (0x00000000u)

/* GPIODIR3 */

#define CSL_UHPI_GPIODIR3_HA31_MASK (0x80000000u)
#define CSL_UHPI_GPIODIR3_HA31_SHIFT (0x0000001Fu)
#define CSL_UHPI_GPIODIR3_HA31_RESETVAL (0x00000000u)
/*----HA31 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA31_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA31_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA30_MASK (0x40000000u)
#define CSL_UHPI_GPIODIR3_HA30_SHIFT (0x0000001Eu)
#define CSL_UHPI_GPIODIR3_HA30_RESETVAL (0x00000000u)
/*----HA30 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA30_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA30_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA29_MASK (0x20000000u)
#define CSL_UHPI_GPIODIR3_HA29_SHIFT (0x0000001Du)
#define CSL_UHPI_GPIODIR3_HA29_RESETVAL (0x00000000u)
/*----HA29 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA29_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA29_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA28_MASK (0x10000000u)
#define CSL_UHPI_GPIODIR3_HA28_SHIFT (0x0000001Cu)
#define CSL_UHPI_GPIODIR3_HA28_RESETVAL (0x00000000u)
/*----HA28 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA28_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA28_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA27_MASK (0x08000000u)
#define CSL_UHPI_GPIODIR3_HA27_SHIFT (0x0000001Bu)
#define CSL_UHPI_GPIODIR3_HA27_RESETVAL (0x00000000u)
/*----HA27 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA27_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA27_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA26_MASK (0x04000000u)
#define CSL_UHPI_GPIODIR3_HA26_SHIFT (0x0000001Au)
#define CSL_UHPI_GPIODIR3_HA26_RESETVAL (0x00000000u)
/*----HA26 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA26_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA26_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA25_MASK (0x02000000u)
#define CSL_UHPI_GPIODIR3_HA25_SHIFT (0x00000019u)
#define CSL_UHPI_GPIODIR3_HA25_RESETVAL (0x00000000u)
/*----HA25 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA25_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA25_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA24_MASK (0x01000000u)
#define CSL_UHPI_GPIODIR3_HA24_SHIFT (0x00000018u)
#define CSL_UHPI_GPIODIR3_HA24_RESETVAL (0x00000000u)
/*----HA24 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA24_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA24_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA23_MASK (0x00800000u)
#define CSL_UHPI_GPIODIR3_HA23_SHIFT (0x00000017u)
#define CSL_UHPI_GPIODIR3_HA23_RESETVAL (0x00000000u)
/*----HA23 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA23_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA23_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA22_MASK (0x00400000u)
#define CSL_UHPI_GPIODIR3_HA22_SHIFT (0x00000016u)
#define CSL_UHPI_GPIODIR3_HA22_RESETVAL (0x00000000u)
/*----HA22 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA22_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA22_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA21_MASK (0x00200000u)
#define CSL_UHPI_GPIODIR3_HA21_SHIFT (0x00000015u)
#define CSL_UHPI_GPIODIR3_HA21_RESETVAL (0x00000000u)
/*----HA21 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA21_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA21_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA20_MASK (0x00100000u)
#define CSL_UHPI_GPIODIR3_HA20_SHIFT (0x00000014u)
#define CSL_UHPI_GPIODIR3_HA20_RESETVAL (0x00000000u)
/*----HA20 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA20_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA20_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA19_MASK (0x00080000u)
#define CSL_UHPI_GPIODIR3_HA19_SHIFT (0x00000013u)
#define CSL_UHPI_GPIODIR3_HA19_RESETVAL (0x00000000u)
/*----HA19 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA19_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA19_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA18_MASK (0x00040000u)
#define CSL_UHPI_GPIODIR3_HA18_SHIFT (0x00000012u)
#define CSL_UHPI_GPIODIR3_HA18_RESETVAL (0x00000000u)
/*----HA18 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA18_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA18_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA17_MASK (0x00020000u)
#define CSL_UHPI_GPIODIR3_HA17_SHIFT (0x00000011u)
#define CSL_UHPI_GPIODIR3_HA17_RESETVAL (0x00000000u)
/*----HA17 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA17_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA17_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA16_MASK (0x00010000u)
#define CSL_UHPI_GPIODIR3_HA16_SHIFT (0x00000010u)
#define CSL_UHPI_GPIODIR3_HA16_RESETVAL (0x00000000u)
/*----HA16 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA16_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA16_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA15_MASK (0x00008000u)
#define CSL_UHPI_GPIODIR3_HA15_SHIFT (0x0000000Fu)
#define CSL_UHPI_GPIODIR3_HA15_RESETVAL (0x00000000u)
/*----HA15 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA15_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA15_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA14_MASK (0x00004000u)
#define CSL_UHPI_GPIODIR3_HA14_SHIFT (0x0000000Eu)
#define CSL_UHPI_GPIODIR3_HA14_RESETVAL (0x00000000u)
/*----HA14 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA14_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA14_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA13_MASK (0x00002000u)
#define CSL_UHPI_GPIODIR3_HA13_SHIFT (0x0000000Du)
#define CSL_UHPI_GPIODIR3_HA13_RESETVAL (0x00000000u)
/*----HA13 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA13_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA13_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA12_MASK (0x00001000u)
#define CSL_UHPI_GPIODIR3_HA12_SHIFT (0x0000000Cu)
#define CSL_UHPI_GPIODIR3_HA12_RESETVAL (0x00000000u)
/*----HA12 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA12_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA12_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA11_MASK (0x00000800u)
#define CSL_UHPI_GPIODIR3_HA11_SHIFT (0x0000000Bu)
#define CSL_UHPI_GPIODIR3_HA11_RESETVAL (0x00000000u)
/*----HA11 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA11_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA11_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA10_MASK (0x00000400u)
#define CSL_UHPI_GPIODIR3_HA10_SHIFT (0x0000000Au)
#define CSL_UHPI_GPIODIR3_HA10_RESETVAL (0x00000000u)
/*----HA10 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA10_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA10_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA9_MASK (0x00000200u)
#define CSL_UHPI_GPIODIR3_HA9_SHIFT (0x00000009u)
#define CSL_UHPI_GPIODIR3_HA9_RESETVAL (0x00000000u)
/*----HA9 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA9_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA9_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA8_MASK (0x00000100u)
#define CSL_UHPI_GPIODIR3_HA8_SHIFT (0x00000008u)
#define CSL_UHPI_GPIODIR3_HA8_RESETVAL (0x00000000u)
/*----HA8 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA8_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA8_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA7_MASK (0x00000080u)
#define CSL_UHPI_GPIODIR3_HA7_SHIFT (0x00000007u)
#define CSL_UHPI_GPIODIR3_HA7_RESETVAL (0x00000000u)
/*----HA7 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA7_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA7_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA6_MASK (0x00000040u)
#define CSL_UHPI_GPIODIR3_HA6_SHIFT (0x00000006u)
#define CSL_UHPI_GPIODIR3_HA6_RESETVAL (0x00000000u)
/*----HA6 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA6_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA6_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA5_MASK (0x00000020u)
#define CSL_UHPI_GPIODIR3_HA5_SHIFT (0x00000005u)
#define CSL_UHPI_GPIODIR3_HA5_RESETVAL (0x00000000u)
/*----HA5 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA5_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA5_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA4_MASK (0x00000010u)
#define CSL_UHPI_GPIODIR3_HA4_SHIFT (0x00000004u)
#define CSL_UHPI_GPIODIR3_HA4_RESETVAL (0x00000000u)
/*----HA4 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA4_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA4_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA3_MASK (0x00000008u)
#define CSL_UHPI_GPIODIR3_HA3_SHIFT (0x00000003u)
#define CSL_UHPI_GPIODIR3_HA3_RESETVAL (0x00000000u)
/*----HA3 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA3_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA3_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA2_MASK (0x00000004u)
#define CSL_UHPI_GPIODIR3_HA2_SHIFT (0x00000002u)
#define CSL_UHPI_GPIODIR3_HA2_RESETVAL (0x00000000u)
/*----HA2 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA2_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA2_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA1_MASK (0x00000002u)
#define CSL_UHPI_GPIODIR3_HA1_SHIFT (0x00000001u)
#define CSL_UHPI_GPIODIR3_HA1_RESETVAL (0x00000000u)
/*----HA1 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA1_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA1_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_HA0_MASK (0x00000001u)
#define CSL_UHPI_GPIODIR3_HA0_SHIFT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA0_RESETVAL (0x00000000u)
/*----HA0 Tokens----*/
#define CSL_UHPI_GPIODIR3_HA0_INPUT (0x00000000u)
#define CSL_UHPI_GPIODIR3_HA0_OUTPUT (0x00000001u)

#define CSL_UHPI_GPIODIR3_RESETVAL (0x00000000u)

/* GPIODAT3 */

#define CSL_UHPI_GPIODAT3_HA31_MASK (0x80000000u)
#define CSL_UHPI_GPIODAT3_HA31_SHIFT (0x0000001Fu)
#define CSL_UHPI_GPIODAT3_HA31_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA30_MASK (0x40000000u)
#define CSL_UHPI_GPIODAT3_HA30_SHIFT (0x0000001Eu)
#define CSL_UHPI_GPIODAT3_HA30_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA29_MASK (0x20000000u)
#define CSL_UHPI_GPIODAT3_HA29_SHIFT (0x0000001Du)
#define CSL_UHPI_GPIODAT3_HA29_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA28_MASK (0x10000000u)
#define CSL_UHPI_GPIODAT3_HA28_SHIFT (0x0000001Cu)
#define CSL_UHPI_GPIODAT3_HA28_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA27_MASK (0x08000000u)
#define CSL_UHPI_GPIODAT3_HA27_SHIFT (0x0000001Bu)
#define CSL_UHPI_GPIODAT3_HA27_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA26_MASK (0x04000000u)
#define CSL_UHPI_GPIODAT3_HA26_SHIFT (0x0000001Au)
#define CSL_UHPI_GPIODAT3_HA26_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA25_MASK (0x02000000u)
#define CSL_UHPI_GPIODAT3_HA25_SHIFT (0x00000019u)
#define CSL_UHPI_GPIODAT3_HA25_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA24_MASK (0x01000000u)
#define CSL_UHPI_GPIODAT3_HA24_SHIFT (0x00000018u)
#define CSL_UHPI_GPIODAT3_HA24_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA23_MASK (0x00800000u)
#define CSL_UHPI_GPIODAT3_HA23_SHIFT (0x00000017u)
#define CSL_UHPI_GPIODAT3_HA23_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA22_MASK (0x00400000u)
#define CSL_UHPI_GPIODAT3_HA22_SHIFT (0x00000016u)
#define CSL_UHPI_GPIODAT3_HA22_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA21_MASK (0x00200000u)
#define CSL_UHPI_GPIODAT3_HA21_SHIFT (0x00000015u)
#define CSL_UHPI_GPIODAT3_HA21_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA20_MASK (0x00100000u)
#define CSL_UHPI_GPIODAT3_HA20_SHIFT (0x00000014u)
#define CSL_UHPI_GPIODAT3_HA20_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA19_MASK (0x00080000u)
#define CSL_UHPI_GPIODAT3_HA19_SHIFT (0x00000013u)
#define CSL_UHPI_GPIODAT3_HA19_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA18_MASK (0x00040000u)
#define CSL_UHPI_GPIODAT3_HA18_SHIFT (0x00000012u)
#define CSL_UHPI_GPIODAT3_HA18_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA17_MASK (0x00020000u)
#define CSL_UHPI_GPIODAT3_HA17_SHIFT (0x00000011u)
#define CSL_UHPI_GPIODAT3_HA17_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA16_MASK (0x00010000u)
#define CSL_UHPI_GPIODAT3_HA16_SHIFT (0x00000010u)
#define CSL_UHPI_GPIODAT3_HA16_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA15_MASK (0x00008000u)
#define CSL_UHPI_GPIODAT3_HA15_SHIFT (0x0000000Fu)
#define CSL_UHPI_GPIODAT3_HA15_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA14_MASK (0x00004000u)
#define CSL_UHPI_GPIODAT3_HA14_SHIFT (0x0000000Eu)
#define CSL_UHPI_GPIODAT3_HA14_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA13_MASK (0x00002000u)
#define CSL_UHPI_GPIODAT3_HA13_SHIFT (0x0000000Du)
#define CSL_UHPI_GPIODAT3_HA13_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA12_MASK (0x00001000u)
#define CSL_UHPI_GPIODAT3_HA12_SHIFT (0x0000000Cu)
#define CSL_UHPI_GPIODAT3_HA12_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA11_MASK (0x00000800u)
#define CSL_UHPI_GPIODAT3_HA11_SHIFT (0x0000000Bu)
#define CSL_UHPI_GPIODAT3_HA11_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA10_MASK (0x00000400u)
#define CSL_UHPI_GPIODAT3_HA10_SHIFT (0x0000000Au)
#define CSL_UHPI_GPIODAT3_HA10_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA9_MASK (0x00000200u)
#define CSL_UHPI_GPIODAT3_HA9_SHIFT (0x00000009u)
#define CSL_UHPI_GPIODAT3_HA9_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA8_MASK (0x00000100u)
#define CSL_UHPI_GPIODAT3_HA8_SHIFT (0x00000008u)
#define CSL_UHPI_GPIODAT3_HA8_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA7_MASK (0x00000080u)
#define CSL_UHPI_GPIODAT3_HA7_SHIFT (0x00000007u)
#define CSL_UHPI_GPIODAT3_HA7_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA6_MASK (0x00000040u)
#define CSL_UHPI_GPIODAT3_HA6_SHIFT (0x00000006u)
#define CSL_UHPI_GPIODAT3_HA6_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA5_MASK (0x00000020u)
#define CSL_UHPI_GPIODAT3_HA5_SHIFT (0x00000005u)
#define CSL_UHPI_GPIODAT3_HA5_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA4_MASK (0x00000010u)
#define CSL_UHPI_GPIODAT3_HA4_SHIFT (0x00000004u)
#define CSL_UHPI_GPIODAT3_HA4_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA3_MASK (0x00000008u)
#define CSL_UHPI_GPIODAT3_HA3_SHIFT (0x00000003u)
#define CSL_UHPI_GPIODAT3_HA3_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA2_MASK (0x00000004u)
#define CSL_UHPI_GPIODAT3_HA2_SHIFT (0x00000002u)
#define CSL_UHPI_GPIODAT3_HA2_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA1_MASK (0x00000002u)
#define CSL_UHPI_GPIODAT3_HA1_SHIFT (0x00000001u)
#define CSL_UHPI_GPIODAT3_HA1_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_HA0_MASK (0x00000001u)
#define CSL_UHPI_GPIODAT3_HA0_SHIFT (0x00000000u)
#define CSL_UHPI_GPIODAT3_HA0_RESETVAL (0x00000000u)

#define CSL_UHPI_GPIODAT3_RESETVAL (0x00000000u)

/* HPIC */


#define CSL_UHPI_HPIC_HPIARWSEL_MASK (0x00000800u)
#define CSL_UHPI_HPIC_HPIARWSEL_SHIFT (0x0000000Bu)
#define CSL_UHPI_HPIC_HPIARWSEL_RESETVAL (0x00000000u)

#define CSL_UHPI_HPIC_LBMODE_MASK (0x00000400u)
#define CSL_UHPI_HPIC_LBMODE_SHIFT (0x0000000Au)
#define CSL_UHPI_HPIC_LBMODE_RESETVAL (0x00000000u)
/*----LBMODE Tokens----*/
#define CSL_UHPI_HPIC_LBMODE_DISABLE (0x00000000u)
#define CSL_UHPI_HPIC_LBMODE_ENABLE (0x00000001u)

#define CSL_UHPI_HPIC_DUALHPI_MASK (0x00000200u)
#define CSL_UHPI_HPIC_DUALHPI_SHIFT (0x00000009u)
#define CSL_UHPI_HPIC_DUALHPI_RESETVAL (0x00000000u)
/*----DUALHPI Tokens----*/
#define CSL_UHPI_HPIC_DUALHPI_DISABLE (0x00000000u)
#define CSL_UHPI_HPIC_DUALHPI_ENABLE (0x00000001u)

#define CSL_UHPI_HPIC_HWOBSTAT_MASK (0x00000100u)
#define CSL_UHPI_HPIC_HWOBSTAT_SHIFT (0x00000008u)
#define CSL_UHPI_HPIC_HWOBSTAT_RESETVAL (0x00000000u)

#define CSL_UHPI_HPIC_HPIRST_MASK (0x00000080u)
#define CSL_UHPI_HPIC_HPIRST_SHIFT (0x00000007u)
#define CSL_UHPI_HPIC_HPIRST_RESETVAL (0x00000000u)

#define CSL_UHPI_HPIC_RESET_MASK (0x00000040u)
#define CSL_UHPI_HPIC_RESET_SHIFT (0x00000006u)
#define CSL_UHPI_HPIC_RESET_RESETVAL (0x00000000u)

#define CSL_UHPI_HPIC_XHPIA_MASK (0x00000020u)
#define CSL_UHPI_HPIC_XHPIA_SHIFT (0x00000005u)
#define CSL_UHPI_HPIC_XHPIA_RESETVAL (0x00000000u)
/*----XHPIA Tokens----*/
#define CSL_UHPI_HPIC_XHPIA_DISABLE (0x00000000u)
#define CSL_UHPI_HPIC_XHPIA_ENABLE (0x00000001u)

#define CSL_UHPI_HPIC_FETCH_MASK (0x00000010u)
#define CSL_UHPI_HPIC_FETCH_SHIFT (0x00000004u)
#define CSL_UHPI_HPIC_FETCH_RESETVAL (0x00000000u)

#define CSL_UHPI_HPIC_HRDY_MASK (0x00000008u)
#define CSL_UHPI_HPIC_HRDY_SHIFT (0x00000003u)
#define CSL_UHPI_HPIC_HRDY_RESETVAL (0x00000000u)

#define CSL_UHPI_HPIC_HINT_MASK (0x00000004u)
#define CSL_UHPI_HPIC_HINT_SHIFT (0x00000002u)
#define CSL_UHPI_HPIC_HINT_RESETVAL (0x00000000u)

#define CSL_UHPI_HPIC_DSPINT_MASK (0x00000002u)
#define CSL_UHPI_HPIC_DSPINT_SHIFT (0x00000001u)
#define CSL_UHPI_HPIC_DSPINT_RESETVAL (0x00000000u)

#define CSL_UHPI_HPIC_HWOB_MASK (0x00000001u)
#define CSL_UHPI_HPIC_HWOB_SHIFT (0x00000000u)
#define CSL_UHPI_HPIC_HWOB_RESETVAL (0x00000000u)
/*----HWOB Tokens----*/
#define CSL_UHPI_HPIC_HWOB_BIGENDIAN (0x00000000u)
#define CSL_UHPI_HPIC_HWOB_LITENDIAN (0x00000001u)

#define CSL_UHPI_HPIC_RESETVAL (0x00000000u)

/* HPIAW */

#define CSL_UHPI_HPIAW_MASK (0xFFFFFFFFu)
#define CSL_UHPI_HPIAW_SHIFT (0x00000000u)
#define CSL_UHPI_HPIAW_RESETVAL (0x00000000u)

/* HPIAR */

#define CSL_UHPI_HPIAR_MASK (0xFFFFFFFFu)
#define CSL_UHPI_HPIAR_SHIFT (0x00000000u)
#define CSL_UHPI_HPIAR_RESETVAL (0x00000000u)

/* XHPIAW */

#define CSL_UHPI_XHPIAW_MASK (0xFFFFFFFFu)
#define CSL_UHPI_XHPIAW_SHIFT (0x00000000u)
#define CSL_UHPI_XHPIAW_RESETVAL (0x00000000u)

/* XHPIAR */

#define CSL_UHPI_XHPIAR_MASK (0xFFFFFFFFu)
#define CSL_UHPI_XHPIAR_SHIFT (0x00000000u)
#define CSL_UHPI_XHPIAR_RESETVAL (0x00000000u)

#endif
